/*
Why Java doesnt support multiple inheritance?

C++ , Common lisp and few other languages supports
multiple inheritance while java doesnt support it.
It is just to remove ambiguity, because multiple inheritance
can cause ambiguity in few scenarios.
One of the most common scenario is Diamond problem.
*/
interface X
{
   public void myMethod();
}
interface Y
{
   public void myMethod();
}
class multiInheritance implements X, Y
{
   public void myMethod()
   {
       System.out.println(" Multiple inheritance example using interfaces");
   }
}
/*
As you can see that the class implemented two interfaces.
A class can implement any number of interfaces.
In this case there is no ambiguity even though both the
interfaces are having same method.
Why? Because methods in an interface are always abstract by default,
which doesnt let them to give their implementation
(or method definition ) in interface itself.
*/