/*
Compile time Polymorhism( or Static polymorphism)

Compile time polymorphism is nothing but the method overloading in java.
In simple terms we can say that a class can have more than one methods
with same name but with different number of arguments or different types
of arguments or both. To  know more about it refer method overloading in java.

*/
class X
{
   void methodA(int num)
   {
       System.out.println ("methodA:" + num);
   }
   void methodA(int num1, int num2)
   {
       System.out.println ("methodA:" + num1 + "," + num2);
   }
   double methodA(double num) {
       System.out.println("methodA:" + num);
       return num;
   }
}

class Y
{
   public static void main (String args [])
   {
       X Obj = new X();
       double result;
       Obj.methodA(20);
       Obj.methodA(20, 30);
       result = Obj.methodA(5.5);
       System.out.println("Answer is:" + result);
   }
}

/*
As you can see in the above example that the class has
three variance of methodA or we can say methodA is polymorphic
in nature since it is having three different forms.
In such scenario, compiler is able to figure out the method call
at compile-time thats the reason it is known as compile time polymorphism.
*/